{% extends 'dashboard/dashboard_content.html' %}



{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-file-text-o"></i>
                Custom Attendance Report
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for course_allotment in course_allotment_list %}
                        {% if forloop.counter == 1 %}
                            <li {% if selected_allotment_pk == course_allotment.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ course_allotment.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {{ course_allotment.display_text }}
                                </a>
                            </li>
                        {% else %}
                            <li {% if selected_allotment_pk == course_allotment.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="false"
                                   id={{ course_allotment.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {{ course_allotment.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>


                <div class="tab-content">
                    <form method="POST" id="date_range_form" class="form-horizontal">
                        {% csrf_token %}
                        <div class="form-group">
                            <label class="col-sm-4 control-label">Start Date</label>
                            <div class="col-sm-4">
                                <input type="text" id="start_date" placeholder="Click to choose a date"
                                       name="start_date"
                                       class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label">End Date</label>
                            <div class="col-sm-4">
                                <input type="text" id="end_date" placeholder="Click to choose a date" name="end_date"
                                       class="form-control">
                            </div>
                        </div>
                    </form>


                    {% if final_result %}


                        <div class="col-md-offset-10">
                            <button type="button" class="btn btn-primary" id='genrate_pdf'>
                                Generate PDF
                            </button>
                        </div>

                        <div class="alert alert-success" role="alert">
                            <div><h4><strong>This report is from {{ current_start_date }}
                                to {{ current_end_date }} </strong></h4></div>
                        </div>
                        <div class="table-responsive">
                        <table class="table table-striped text-center" id="id_custom_table">
                            <thead>
                            <tr>
                                <td>S.No.</td>
                                <td>Roll Number</td>
                                <td align="left">Name</td>
                                <td>Total Hours</td>
                                <td>Present Hours</td>
                                <td>Absent Hours</td>
                                <td>%</td>
                            </tr>
                            </thead>
                            <tbody>

                            {% for result in final_result %}
                                <tr>
                                    <td>{{ forloop.counter }}</td>
                                    <td>{{ result.roll_no }}</td>
                                    <td align="left">{{ result.name }}</td>
                                    <td>{{ result.total_hours }}</td>
                                    <td>{{ result.present_hours }}</td>
                                    <td>{{ result.absent_hours }}</td>
                                    <td>{{ result.percentage }}</td>
                                </tr>
                            {% endfor %}
                            </tbody>

                        </table>
                    {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </div>
    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        var curent_subject;
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $('document').ready(function () {
            $('[name="course_tab"]').click(function () {
                curent_subject = this.id;
                //alert(this.id)

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_allotment_pk'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });
        $('document').ready(function () {
            $('#genrate_pdf').click(function () {
                //alert('sid');
                {% if final_result %}
                    window.location = '{% url 'custom_attendance_pdf_report' allot_staff_pk=selected_allotment_pk start_date=current_start_date end_date=current_end_date %}';
                {% endif %}
            });
        });
        $(function () {
            $("#start_date").datepicker({
                dateFormat: "yy-mm-dd",
            });
            console.log('start date initialized');
            $("#end_date").datepicker({
                dateFormat: "yy-mm-dd",
            });
        });
        $('document').ready(function () {
            $("#end_date").change(function () {
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: "{{ selected_allotment_pk }}",
                    name: 'selected_allotment_pk'
                });
                $hiddenInput.appendTo('form');
                var end_date = $("#end_date").val();
                var start_date = $("#start_date").val();

                if (start_date == '') {
                    alert("Enter Start date properly");
                }
                else if (end_date == '') {
                    alert("Enter End date properly");
                }
                else {
                    $("#date_range_form").submit();
                }
            });
        });

        $(document).ready(function() {
            $('#id_custom_table').DataTable( {
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'excelHtml5',
                        title: '{{ selected_course_name }}' + '_internals_report',
                    },
                    {
                        extend: 'csvHtml5',
                        title: '{{ selected_course_name }}' + '_internals_report',
                    },
                ]
            } );
        } );
    </script>

{% endblock %}